<!DOCTYPE html>
<html lang="{{ page.lang | default: site.lang | default: 'es' }}" class="{% if site.dark_theme %}dark{% else %}light{% endif %}">
<head>
  {% if jekyll.environment != 'desarrollo' %}
    {% include /analytics.html %}
  {% endif %}
<title>{% if page.title %}{{ page.title | escape }} | {% endif %}{{ site.title | escape }}</title>
<meta charset="{{ site.encoding }}">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="{{ page.excerpt | default: site.description | strip_html | normalize_whitespace | truncate: 160 | escape }}">
<meta name="author" content="{{ page.author | default: site.author | escape}}">
<link rel="canonical" href="{{ page.url | prepend: site.url }}"> 
<link rel="stylesheet" href="{{ "/assets/css/index.css" | relative_url }}">
<link rel="stylesheet" href="{{ "/assets/css/custom.css" | relative_url }}">
<link rel="stylesheet" href="{{ site.style | default: "theme" | prepend: "/assets/css/" | append: ".css" | relative_url }}">
{% if site.plugins contains "jekyll-feed" %}<link rel="alternate" type="application/atom+xml" href="{{ "/feed.xml" | relative_url }}" title="{{ site.title }}" />{% endif %}
{% if page.mathjax or site.mathjax %}
<link rel="stylesheet" href="{{ "/assets/katex/katex.min.css" | relative_url }}">
<script defer src="{{ "/assets/katex/katex.min.js" | relative_url }}"></script>
<script defer src="{{ "/assets/katex/contrib/mathtex-script-type.min.js" | relative_url }}"></script>
{% endif %}
{% if site.comments.disqus %}<script src="//{{ site.comments.disqus }}.disqus.com/embed.js" async></script>{% endif %}
{% if site.comments.isso %}<script data-isso="http://{{ site.comments.isso }}" src="//{{ site.comments.isso }}/js/embed.min.js"></script>{% endif %}

</head>
<body>
<header class="{% if site.dark_header %}dark{% endif %}">
  {% unless site.hide_title %}
    <p><a href="{{ "/" | relative_url }}">{{ site.title | escape }}</a></p>
  {% endunless %}
  {% if site.navigation %}
    <nav class="menu-top">
    {% for path in site.navigation %}
      {% if path.first %}
        <a href="{{ path.first[1] }}">{{ path.first[0] }}</a>
      {% else %}
        {% assign node = site.pages | where: "name", path | first %}<a href="{{ node.url | relative_url }}">{{ node.title }}</a>
      {% endif %}
    {% endfor %}
    </nav>
  {% endif %}
  {% if site.icons %}
    <nav>
    {% for link in site.icons %}
      <a class="icon" href="{{ link[1] }}"><svg><use xlink:href="{{ "/assets/fontawesome/icons.svg" | relative_url }}#{{ link[0] }}"></use></svg></a>
    {% endfor %}
    </nav>
  {% endif %}
</header>

<main>
{{ content }}
</main>
</body>
<footer>
     <p>&copy; {{ "now" | date: "%Y" }} {{ site.author }}</p>
</footer>

</html>
